# Class FixedBattle

#### Hierarchy (view full)

- default
  - FixedBattle

- Defined in src/battle.ts:356

#####
Index

### Constructors

constructor

### Properties

battleScore
battleSeed
battleSpec
battleType
double
enemyFaints
enemyLevels
enemyParty
enemySwitchCounter
escapeAttempts
gameMode
lastMove
lastUsedPokeball
moneyScattered
playerFaints
playerParticipantIds
postBattleLoot
seenEnemyPartyMemberIds
started
trainer
turn
turnCommands
waveIndex

### Methods

addBattleScore
addParticipant
addPostBattleLoot
getBattlerCount
getBgmOverride
incrementTurn
pickUpScatteredMoney
randSeedGaussForLevel
randSeedInt
removeFaintedParticipant

## Constructors

### constructor

- new FixedBattle(scene, waveIndex, config): FixedBattle

- #### Parameters

  - scene: default
  - waveIndex: number
  - config: FixedBattleConfig

  #### Returns FixedBattle

  Overrides default.constructor

  - Defined in src/battle.ts:357

## Properties

### battleScore

battleScore: number

Inherited from default.battleScore

- Defined in src/battle.ts:58

### battleSeed

battleSeed: string

Inherited from default.battleSeed

- Defined in src/battle.ts:62

### battleSpec

battleSpec: BattleSpec

Inherited from default.battleSpec

- Defined in src/battle.ts:47

### battleType

battleType: BattleType

Inherited from default.battleType

- Defined in src/battle.ts:46

### double

double: boolean

Inherited from default.double

- Defined in src/battle.ts:52

### enemyFaints

enemyFaints: number

Inherited from default.enemyFaints

- Defined in src/battle.ts:67

### enemyLevels

enemyLevels: number[]

Inherited from default.enemyLevels

- Defined in src/battle.ts:49

### enemyParty

enemyParty: EnemyPokemon []

Inherited from default.enemyParty

- Defined in src/battle.ts:50

### enemySwitchCounter

enemySwitchCounter: number

Inherited from default.enemySwitchCounter

- Defined in src/battle.ts:54

### escapeAttempts

escapeAttempts: number

Inherited from default.escapeAttempts

- Defined in src/battle.ts:60

### `Protected` gameMode

gameMode: GameMode

Inherited from default.gameMode

- Defined in src/battle.ts:44

### lastMove

lastMove: Moves

Inherited from default.lastMove

- Defined in src/battle.ts:61

### lastUsedPokeball

lastUsedPokeball: PokeballType

Inherited from default.lastUsedPokeball

- Defined in src/battle.ts:65

### moneyScattered

moneyScattered: number

Inherited from default.moneyScattered

- Defined in src/battle.ts:64

### playerFaints

playerFaints: number

Inherited from default.playerFaints

- Defined in src/battle.ts:66

### playerParticipantIds

playerParticipantIds: Set<number>

Inherited from default.playerParticipantIds

- Defined in src/battle.ts:57

### postBattleLoot

postBattleLoot: PokemonHeldItemModifier []

Inherited from default.postBattleLoot

- Defined in src/battle.ts:59

### seenEnemyPartyMemberIds

seenEnemyPartyMemberIds: Set<number>

Inherited from default.seenEnemyPartyMemberIds

- Defined in src/battle.ts:51

### started

started: boolean

Inherited from default.started

- Defined in src/battle.ts:53

### trainer

trainer: default

Inherited from default.trainer

- Defined in src/battle.ts:48

### turn

turn: number

Inherited from default.turn

- Defined in src/battle.ts:55

### turnCommands

turnCommands: TurnCommands

Inherited from default.turnCommands

- Defined in src/battle.ts:56

### waveIndex

waveIndex: number

Inherited from default.waveIndex

- Defined in src/battle.ts:45

## Methods

### addBattleScore

- addBattleScore(scene): void

- #### Parameters

  - scene: default

  #### Returns void

  Inherited from default.addBattleScore

  - Defined in src/battle.ts:176

### addParticipant

- addParticipant(playerPokemon): void

- #### Parameters

  - playerPokemon: PlayerPokemon

  #### Returns void

  Inherited from default.addParticipant

  - Defined in src/battle.ts:149

### addPostBattleLoot

- addPostBattleLoot(enemyPokemon): void

- #### Parameters

  - enemyPokemon: EnemyPokemon

  #### Returns void

  Inherited from default.addPostBattleLoot

  - Defined in src/battle.ts:157

### getBattlerCount

- getBattlerCount(): number

- #### Returns number

  Inherited from default.getBattlerCount

  - Defined in src/battle.ts:139

### getBgmOverride

- getBgmOverride(scene): string

- #### Parameters

  - scene: default

  #### Returns string

  Inherited from default.getBgmOverride

  - Defined in src/battle.ts:194

### incrementTurn

- incrementTurn(scene): void

- #### Parameters

  - scene: default

  #### Returns void

  Inherited from default.incrementTurn

  - Defined in src/battle.ts:143

### pickUpScatteredMoney

- pickUpScatteredMoney(scene): void

- #### Parameters

  - scene: default

  #### Returns void

  Inherited from default.pickUpScatteredMoney

  - Defined in src/battle.ts:165

### randSeedGaussForLevel

- randSeedGaussForLevel(value): number

- #### Parameters

  - value: number

  #### Returns number

  Inherited from default.randSeedGaussForLevel

  - Defined in src/battle.ts:131

### randSeedInt

- randSeedInt(scene, range, min?): number

- #### Parameters

  - scene: default
  - range: number
  - min: number = 0

  #### Returns number

  Inherited from default.randSeedInt

  - Defined in src/battle.ts:332

### removeFaintedParticipant

- removeFaintedParticipant(playerPokemon): void

- #### Parameters

  - playerPokemon: PlayerPokemon

  #### Returns void

  Inherited from default.removeFaintedParticipant

  - Defined in src/battle.ts:153